itpp::Laplace_RNG Class Reference
Base Module » Random Number Generation

Laplacian distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Laplace_RNG (double meanval=0.0, double variance=1.0)
| Constructor. Set mean and variance.
void | setup (double meanval, double variance)
| Set mean and variance.
void | get_setup (double &meanval, double &variance) const
| Get mean and variance.
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.
double | sample ()
| Returns a single sample.

## Detailed Description

Laplacian distribution.

Definition at line 545 of file random.h.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Tue Aug 17 2021 10:59:15 for IT++ by Doxygen 1.9.1